<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".CodeError.Code500Activity">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginEnd="32dp"
        app:cardBackgroundColor="#000000"
        app:cardCornerRadius="15dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="1dp"
            app:cardCornerRadius="15dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <pl.droidsonroids.gif.GifImageView
                    android:id="@+id/gifImageView"
                    android:layout_width="100dp"
                    android:layout_height="100dp"
                    android:layout_marginTop="8dp"
                    android:src="@drawable/loading"
                    app:layout_constraintEnd_toEndOf="@+id/textView49"
                    app:layout_constraintHorizontal_bias="0.497"
                    app:layout_constraintStart_toStartOf="@+id/textView49"
                    app:layout_constraintTop_toBottomOf="@+id/textView49" />

                <TextView
                    android:id="@+id/textView7"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="32dp"
                    android:layout_marginTop="32dp"
                    android:layout_marginEnd="32dp"
                    android:gravity="center"
                    android:text="Потеря соединения с сервером"
                    android:textColor="#000000"
                    android:textSize="20sp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/textView49"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:gravity="center"
                    android:text="Подключение"
                    android:textColor="#121111"
                    android:textSize="16sp"
                    app:layout_constraintEnd_toEndOf="@+id/textView7"
                    app:layout_constraintHorizontal_bias="0.0"
                    app:layout_constraintStart_toStartOf="@+id/textView7"
                    app:layout_constraintTop_toBottomOf="@+id/textView7" />

                <TextView
                    android:id="@+id/textView42"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:layout_marginTop="16dp"
                    android:layout_marginEnd="16dp"
                    android:layout_marginBottom="16dp"
                    android:gravity="center"
                    android:text="Если в ближайшее время вы не подключитесь, то вас отправит на страницу авторизации. Это может означать что в ваш аккаунт кто-то вошел с другого устройства"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/gifImageView" />

            </androidx.constraintlayout.widget.ConstraintLayout>
        </androidx.cardview.widget.CardView>
    </androidx.cardview.widget.CardView>
</androidx.constraintlayout.widget.ConstraintLayout>